[PATCH 1/2 v2] perf test: Fix perf test 114 perf record test subtest precise_max for s390

From: Thomas Richter
Date: Wed Jan 29 2025 - 02:12:09 EST


On s390 the event instructions can not be used for recording.
This event is only supported by perf stat.

Change the event instruction to cycles for subtest test_precise_max
as suggested by James Clark.

Signed-off-by: Thomas Richter <tmricht@xxxxxxxxxxxxx>
Suggested-by: James Clark <james.clark@xxxxxxxxxx>
---
tools/perf/tests/shell/record.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 0fc7a909ae9b..957ee10aff44 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -287,9 +287,9 @@ test_precise_max() {
return
fi
# On AMD, cycles and instructions events are treated differently
- if ! perf record -o "${perfdata}" -e "instructions:P" true 2> /dev/null
+ if ! perf record -o "${perfdata}" -e "cycles:P" true 2> /dev/null
then
- echo "precise_max attribute [Failed instructions:P event]"
+ echo "precise_max attribute [Failed cycles:P event]"
err=1
return
fi
--
2.48.1